Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cascading.tap
Interface CompositeTap<Child extends Tap>

All Known Implementing Classes:
  GlobHfs, MultiSinkTap, MultiSourceTap

    public interface CompositeTap<Child extends Tap>

Interface CompositeTap marks `Tap` classes as having child Tap instances.

This information is required by the planner in order to properly configure the underlying platform.

Method Summary
`Iterator<Child>` | `getChildTaps()`
`long` | `getNumChildTaps()`

Method Detail

### getChildTaps

    Iterator<Child> getChildTaps()

### getNumChildTaps

    long getNumChildTaps()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2013 Concurrent, Inc. All Rights Reserved.